local function deepcopy(orig)
    local orig_type = type(orig)
    local copy
    if orig_type == 'table' then
        copy = {}
        for orig_key, orig_value in next, orig, nil do
            copy[deepcopy(orig_key)] = deepcopy(orig_value)
        end
        setmetatable(copy, deepcopy(getmetatable(orig)))
    else -- number, string, boolean, etc
        copy = orig
    end
    return copy
end

surface = nil
script.on_event(defines.events.on_tick, function(event)
    if game.tick == 100 then
        local settings = deepcopy(game.surfaces['nauvis'].map_gen_settings)
        surface = game.create_surface('test', settings)
        game.players[1].teleport({0,0}, surface)
        surface.always_day = true
    end
    if game.tick == 200 then
        game.take_screenshot{resolution={x=1920,y=1080}, zoom=0.08, path=string.format("test%07d.png", game.tick)}
        game.delete_surface(surface)
    end
end)